using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using HCM.BusinessEntities;
using HCM.DataAccess;

namespace HCM.BajaWare.BusinessLogic
{
    public class ReestructuraLogic
    {
        #region Constructor

        private ReestructuraDataAccess ReestructuraDA;

        public ReestructuraLogic()
        {
            ReestructuraDA = new ReestructuraDataAccess();

        }

        #endregion

        #region Obtiene Datos
        /// <summary>
        /// Obtiene la lista de personas
        /// </summary>
        /// <param name="iPersona"></param>
        /// <returns></returns>
        public List<Reestructura> ListarReestructura()
        {
            List<Reestructura> results = null;
            try
            {

                results = ReestructuraDA.ListadoReestructura();

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

       

        #endregion 
    }
}
